import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { FileUploadsService } from "src/modules/file-uploads/file-uploads.service";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { HeroSectionLeftCmsRepository } from "./hero-section-left-cms.repository";
import { HeroSectionLeftCmsController } from "./hero-section-left-cms.controller";
import { HeroSectionLeftCmsService } from "./hero-section-left-cms.service";
import {
  HeroSectionLeftCmsDefaultRepository
} from "../hero-section-left-cms-default/hero-section-left-cms-default.repository";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([HeroSectionLeftCmsRepository, HeroSectionLeftCmsDefaultRepository])
  ],
  controllers: [HeroSectionLeftCmsController],
  providers: [HeroSectionLeftCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class HeroSectionLeftCmsModule {
}