import { EntityRepository, Repository } from "typeorm";
import { UpdateScheduleVendorDayBannerCmsDto } from "./dto/update-schedule-vendor-day-banner-cms.dto";
import { ScheduleVendorDayBannerCmsEntity } from "./entities/schedule-vendor-day-banner-cms.entity";

@EntityRepository(ScheduleVendorDayBannerCmsEntity)
export class ScheduleVendorDayBannerCmsRepository extends Repository<ScheduleVendorDayBannerCmsEntity> {

  async createEntity(dto: UpdateScheduleVendorDayBannerCmsDto): Promise<ScheduleVendorDayBannerCmsEntity | Error> {
    try {
      const entity = this.create({
        image: dto.image,
        title: dto.title,
        subTitle: dto.subTitle,
        buttonText: dto.buttonText,
        buttonLink: dto.buttonLink
      });
      await this.save(entity);
      return entity;
    } catch (e) {
      return e;
    }
  }

  async updateEntity(dto: UpdateScheduleVendorDayBannerCmsDto, id: string): Promise<ScheduleVendorDayBannerCmsEntity | Error> {
    try {
      await this.update(id, {
        image: dto.image,
        title: dto.title,
        subTitle: dto.subTitle,
        buttonText: dto.buttonText,
        buttonLink: dto.buttonLink
      });
      return await this.findOne(id);
    } catch (e) {
      return e;
    }
  }

  async findAll(): Promise<ScheduleVendorDayBannerCmsEntity[] | Error> {
    try {
      return await this.find({
        where: {
          isDeleted: false
        }
      });
    } catch (e) {
      return e;
    }
  }
}