import { EntityRepository, Repository } from "typeorm";
import { UpdateSigninPageCmsDto } from "./dto/update-signin-page-cms.dto";
import { SigninPageCmsEntity } from "./entities/signin-page-cms.entity";

@EntityRepository(SigninPageCmsEntity)
export class SigninPageCmsRepository extends Repository<SigninPageCmsEntity> {

  async createEntity(dto: UpdateSigninPageCmsDto): Promise<SigninPageCmsEntity | Error> {
    try {
      const entity = this.create({
        image: dto.image,
        logo: dto.logo,
        buttonText: dto.buttonText,
        title: dto.title
      });
      await this.save(entity);
      return entity;
    } catch (e) {
      return e;
    }
  }

  async updateEntity(dto: UpdateSigninPageCmsDto, id: string): Promise<SigninPageCmsEntity | Error> {
    try {
      await this.update(id, {
        image: dto.image,
        logo: dto.logo,
        buttonText: dto.buttonText,
        title: dto.title
      });
      return await this.findOne(id);
    } catch (e) {
      return e;
    }
  }

  async findAll(): Promise<SigninPageCmsEntity[] | Error> {
    try {
      return await this.find({
        where: {
          isDeleted: false
        }
      });
    } catch (e) {
      return e;
    }
  }
}