import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { BlogTagRepository } from "./blog-tag.repository";
import { BlogTagController } from "./blog-tag.controller";
import { BlogTagService } from "./blog-tag.service";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository, BlogTagRepository])
  ],
  controllers: [BlogTagController],
  providers: [
    BlogTagService,
    JwtHelper
  ]
})
export class BlogTagModule {
}
