import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { CkeditorFileRepository } from "./ckeditor-file.repository";
import { CkeditorFileController } from "./ckeditor-file.controller";
import { CkeditorFileService } from "./ckeditor-file.service";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([CkeditorFileRepository])
  ],
  controllers: [CkeditorFileController],
  providers: [CkeditorFileService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CkeditorFileModule {
}
