import { EntityRepository, Repository } from "typeorm";
import { CareerDepartmentPageComponentUiEntity } from "./entities/career-department-page-component-ui.entity";
import { UpdateCareerDepartmentPageComponentUiDto } from "./dto/update-career-department-page-component-ui.dto";

@EntityRepository(CareerDepartmentPageComponentUiEntity)
export class CareerDepartmentPageComponentUiRepository extends Repository<CareerDepartmentPageComponentUiEntity> {

  async createEntity(dto: UpdateCareerDepartmentPageComponentUiDto): Promise<CareerDepartmentPageComponentUiEntity | Error> {
    try {
      const entity = this.create({
        backgroundColor: dto.backgroundColor,
        sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
        sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor
      });
      await this.save(entity);
      return entity;
    } catch (e) {
      return e;
    }
  }

  async updateEntity(dto: UpdateCareerDepartmentPageComponentUiDto, id: string): Promise<CareerDepartmentPageComponentUiEntity | Error> {
    try {
      await this.update(id, {
        backgroundColor: dto.backgroundColor,
        sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
        sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor
      });
      return await this.findOne(id);
    } catch (e) {
      return e;
    }
  }

  async findAll(): Promise<CareerDepartmentPageComponentUiEntity[] | Error> {
    try {
      return await this.find({
        where: {
          isDeleted: false
        }
      });
    } catch (e) {
      return e;
    }
  }
}