import { EntityRepository, Repository } from "typeorm";
import { UpdateNewsletterComponentUiDto } from "./dto/update-newsletter-component-ui.dto";
import { NewsletterComponentUiEntity } from "./entities/newsletter-component-ui.entity";

@EntityRepository(NewsletterComponentUiEntity)
export class NewsletterComponentUiRepository extends Repository<NewsletterComponentUiEntity> {

  async createEntity(dto: UpdateNewsletterComponentUiDto): Promise<NewsletterComponentUiEntity | Error> {
    try {
      const entity = this.create({
        newsLetterSectionBackgroundColor: dto.newsLetterSectionBackgroundColor,
        newsLetterSectionTitleFontColor: dto.newsLetterSectionTitleFontColor,
        newsLetterSectionSubtitleFontColor: dto.newsLetterSectionSubtitleFontColor,
        newsLetterSectionButtonBackgroundColor: dto.newsLetterSectionButtonBackgroundColor,
        newsLetterSectionButtonTextFontColor: dto.newsLetterSectionButtonTextFontColor
      });
      await this.save(entity);
      return entity;
    } catch (e) {
      return e;
    }
  }

  async updateEntity(dto: UpdateNewsletterComponentUiDto, id: string): Promise<NewsletterComponentUiEntity | Error> {
    try {
      await this.update(id, {
        newsLetterSectionBackgroundColor: dto.newsLetterSectionBackgroundColor,
        newsLetterSectionTitleFontColor: dto.newsLetterSectionTitleFontColor,
        newsLetterSectionSubtitleFontColor: dto.newsLetterSectionSubtitleFontColor,
        newsLetterSectionButtonBackgroundColor: dto.newsLetterSectionButtonBackgroundColor,
        newsLetterSectionButtonTextFontColor: dto.newsLetterSectionButtonTextFontColor
      });
      return await this.findOne(id);
    } catch (e) {
      return e;
    }
  }

  async findAll(): Promise<NewsletterComponentUiEntity[] | Error> {
    try {
      return await this.find({
        where: {
          isDeleted: false
        }
      });
    } catch (e) {
      return e;
    }
  }
}