import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { ShopPageComponentUiService } from "./shop-page-component-ui.service";
import { UpdateShopPageComponentUiDto } from "./dto/update-shop-page-component-ui.dto";

@Controller({ path: "shop-page-component-ui", version: Constants.API_VERSION_1 })

export class ShopPageComponentUiController {
  constructor(private readonly service: ShopPageComponentUiService) {
  }

  @Post()
  @HttpCode(HttpStatus.OK)
  @UseGuards(AdminAuthGuard)
  updateOrCreateData(
    @Body() dto: UpdateShopPageComponentUiDto
  ) {
    return this.service.updateOrCreateData(dto);
  }

  @Get()
  // @UseGuards(AdminAuthGuard)
  findAll() {
    return this.service.findAll();
  }
}
