import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { DispoDifferenceSectionController } from "./dispo-difference-section.controller";
import { DispoDifferenceSectionRepository } from "./dispo-difference-section.repository";
import { DispoDifferenceSectionService } from "./dispo-difference-section.service";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([DispoDifferenceSectionRepository])
  ],
  controllers: [DispoDifferenceSectionController],
  providers: [DispoDifferenceSectionService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class DispoDifferenceSectionModule {
}
