import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { ProductBrandController } from "./product-brand.controller";
import { ProductBrandRepository } from "./product-brand.repository";
import { ProductBrandService } from "./product-brand.service";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([ProductBrandRepository])
  ],
  controllers: [ProductBrandController],
  providers: [ProductBrandService, JwtHelper]
})
export class ProductBrandModule {
}
