import { Body, Controller, Delete, Get, Param, Post, UseGuards } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { CreateReferFriendDto } from "./dto/create-refer-friend.dto";
import { ReferFriendService } from "./refer-friend.service";

@Controller({ path: "refer-friend-hint", version: Constants.API_VERSION_1 })

export class ReferFriendController {
  constructor(private readonly service: ReferFriendService) {
  }

  @Post()
  create(@Body() dto: CreateReferFriendDto) {
    return this.service.create(dto);
  }

  @Get()
  @UseGuards(AdminAuthGuard)
  findAll() {
    return this.service.findAll();
  }

  @Delete(":id")
  @UseGuards(AdminAuthGuard)
  async remove(@Param("id") id: string) {
    return await this.service.remove(id);
  }
}
